using ProjectShoeShop.Entities;

namespace ProjectShoeShop.Repositories.Implementations;

public class SupplyRepository : ISupplyRepository
{
    public void CreateSupply(Supply supply)
    {
    
    }

    public IEnumerable<Supply> ReadSupply(DateTime? dateForm = null, DateTime? dateTo = null)
    {
        return [];
    }

    public Supply ReadSupplyById(int id)
    {
        return Supply.CreateEntity(0, Entities.Enums.SupplyType.None, DateTime.Now, []);
    }
   

    public void UpdateSupply(Supply supply)
    {
        
    }

    public void DeleteSupply(int id)
    {

    }
}
